/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { IMatcher } from '../interfaces/IMatcher.js';
declare const consoleDebugSymbol: unique symbol;
export declare class CharMatch implements IMatcher {
    private readonly _code;
    constructor(code: number | string);
    match(charCode: number): boolean;
    toString(): string;
    [consoleDebugSymbol](): string;
}
export declare class InsensitiveMatch implements IMatcher {
    private readonly _code;
    constructor(code: number | string);
    match(charCode: number): boolean;
    toString(): string;
    [consoleDebugSymbol](): string;
}
export declare class RangeMatch implements IMatcher {
    private readonly _low;
    private readonly _high;
    constructor(low: number, high: number);
    match(charCode: number): boolean;
    toString(): string;
}
export {};
