/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { BinResult } from '../../primitive/FromBinResult.js';
export declare enum Type {
    Null = 0,
    Zero = 1,
    UInt_Var = 2,
    UInt_1 = 3,
    UInt_2 = 4,
    UInt_4 = 5,
    UInt_8 = 6,
    UInt_16 = 7,
    Int_Var = 8,
    Int_1 = 9,
    Int_2 = 10,
    Int_4 = 11,
    Int_8 = 12,
    Int_16 = 13,
    True = 14,
    False = 15,
    DateTime = 16,
    Utf8_0 = 17,
    Utf8_1 = 18,
    Utf8_2 = 19,
    Utf8_3 = 20,
    Utf8_4 = 21,
    Float_2 = 22,
    Float_4 = 23,
    Float_8 = 24,
    Float_16 = 25,
    Bin_0 = 26,
    Bin_1 = 27,
    Bin_2 = 28,
    Bin_3 = 29,
    Bin_4 = 30,
    Decimal_4 = 31,
    Decimal_8 = 32,
    Decimal_16 = 33
}
export declare function encode(value: unknown): Uint8Array;
export declare function decode(bin: Uint8Array, pos: number): BinResult | string;
