/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import type { ACudColType } from './types/ACudColType.js';
import { ColName } from './ColName.js';
import { FromBinResult } from '../primitive/FromBinResult.js';
export declare class ColValue {
    readonly name: ColName;
    readonly type: ACudColType;
    readonly value: unknown;
    constructor(name: ColName, type: ACudColType, value: unknown);
    toBin(): Uint8Array;
    toJSON(): Record<string, unknown>;
    static fromBin(bin: Uint8Array, pos?: number): FromBinResult<ColValue>;
}
