/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import type { IPostgresType } from '../interfaces/IPostgresType.js';
import type { ISqliteType } from '../interfaces/ISqliteType.js';
import type { IMysqlType } from '../interfaces/IMysqlType.js';
import type { ColType } from './ColType.js';
import type { FromBinResult } from '../../primitive/FromBinResult.js';
export declare abstract class ACudColType implements IMysqlType, IPostgresType, ISqliteType {
    readonly nullable: boolean;
    protected constructor(nullable: boolean);
    toBin(): Uint8Array;
    abstract cudByteSize(input: unknown): number;
    protected abstract get _colType(): ColType;
    abstract get cudType(): string;
    abstract get mysqlType(): string;
    abstract get postgresType(): string;
    abstract get sqliteType(): string;
    abstract unknownBin(value: unknown): Uint8Array;
    abstract binUnknown(bin: Uint8Array, pos: number): FromBinResult<unknown>;
}
