/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
export declare class Command {
    readonly char: string;
    readonly human: string;
    constructor(char: string, human: string);
    toBin(): Uint8Array;
}
export declare class CommandCtrl extends Command {
    get isCreate(): boolean;
    get isInsCols(): boolean;
    get isRemCols(): boolean;
    get isDrop(): boolean;
    static get Create(): CommandCtrl;
    static get InsCols(): CommandCtrl;
    static get RemCols(): CommandCtrl;
    static get Drop(): CommandCtrl;
    static fromByte(byte: number): CommandCtrl | undefined;
}
export declare class CommandData extends Command {
    get isInsert(): boolean;
    get isPut(): boolean;
    get isPatch(): boolean;
    get isDelete(): boolean;
    static get Insert(): CommandData;
    static get Put(): CommandData;
    static get Patch(): CommandData;
    static get Delete(): CommandData;
    static fromByte(byte: number): CommandData | undefined;
}
