import { IProblem } from './interfaces/IProblem.js';
declare const consoleDebugSymbol: unique symbol;
export declare class RangeProblem<T> implements IProblem {
    readonly noun: string;
    readonly value: T;
    private _descr;
    constructor(noun: string, descr: string, value: T);
    toString(): string;
    inColor(): string;
    get name(): string;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static IncInc<T>(noun: string, value: T, lowInc: T, highInc: T): RangeProblem<T>;
    static Lte<T>(noun: string, value: T, highInc: T): RangeProblem<T>;
    static Lt<T>(noun: string, value: T, highExc: T): RangeProblem<T>;
    static Gte<T>(noun: string, value: T, lowInc: T): RangeProblem<T>;
    static Gt<T>(noun: string, value: T, lowExc: T): RangeProblem<T>;
    static Eq<T>(noun: string, value: T, eq: T): RangeProblem<T>;
}
export {};
