/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IpV4 } from './Ip.js';
declare const consoleDebugSymbol: unique symbol;
export declare class Cidr {
    readonly startIp: IpV4;
    private readonly dist;
    private readonly bitMask;
    readonly mask: number;
    constructor(ipv4: IpV4, mask: number);
    get count(): number;
    get normalForm(): boolean;
    get endIp(): IpV4;
    containsIp(ipv4: IpV4): boolean;
    equals(other: Cidr): boolean;
    toString(): string;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static fromString(value: string): Cidr;
}
export {};
