/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IWriter } from '../interfaces/IWriter.js';
export declare class U32 {
    static readonly size8 = 4;
    static lRot(i32: number, by: number): number;
    static rRot(i32: number, by: number): number;
    static fromBytesLE(src: Uint8Array, pos?: number): number;
    static fromBytesBE(src: Uint8Array, pos?: number): number;
    static intoBytesLE(src: number, target: IWriter): void;
    static intoBytesBE(src: number, target: IWriter): void;
    static sameSign(a32: number, b32: number): boolean;
    static average(a32: number, b32: number): number;
    static ctEq(a32: number, b32: number): boolean;
    static ctLte(a32: number, b32: number): boolean;
    static ctGte(a32: number, b32: number): boolean;
    static ctGt(a32: number, b32: number): boolean;
    static ctLt(a32: number, b32: number): boolean;
    static ctSelect(a32: number, b32: number, first: boolean): number;
}
