declare const consoleDebugSymbol: unique symbol;
export declare abstract class AInt {
    protected _arr: Uint32Array;
    protected _pos: number;
    readonly size32: number;
    protected readonly _name: string;
    protected constructor(_arr: Uint32Array, _pos: number, size32: number, _name: string);
    protected _setValue(n: AInt): void;
    protected _setZero(): void;
    abstract clone(): AInt;
    clone32(): Uint32Array<ArrayBuffer>;
    protected static _fromInt(size32: number, i52: number): Uint32Array;
    protected static _fromSignedSet(size32: number, ns: number[]): Uint32Array;
    protected static _fromSet(size32: number, ns: number[]): Uint32Array;
    protected static _fromBytesBE(size8: number, src: Uint8Array, pos: number): Uint32Array;
    protected static _fromBytesLE(size8: number, src: Uint8Array, pos: number): Uint32Array;
    protected _xorEq(o: AInt): void;
    protected _orEq(o: AInt): void;
    protected _andEq(o: AInt): void;
    protected _notEq(): void;
    protected _lShiftEq(by: number): void;
    protected _rShiftEq(by: number, last?: number): void;
    protected _lRotEq(by: number): void;
    protected _addEq(o: AInt): void;
    protected _negEq(): void;
    protected _subEq(o: AInt): void;
    protected _mul(o: AInt): Uint32Array;
    eq(o: AInt): boolean;
    gt(o: AInt): boolean;
    gte(o: AInt): boolean;
    lt(o: AInt): boolean;
    lte(o: AInt): boolean;
    toBytesBE(): Uint8Array;
    toBytesLE(): Uint8Array;
    getByte(byteIdx?: number): number;
    toString(): string;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
}
export {};
